import { expect } from 'chai'
import Content from './index'
import propsSpec from './props'

testComponent(() => Content, propsSpec, ({ testTagAndClass, render }) => {
  testTagAndClass('article', 'g-content')

  it('should accept a product key and append it as a class', () => {
    expect(
      render({ product: 'foobar' })
        .find('article')
        .first()
        .attr('class')
    ).to.contain('foobar')

    expect(
      render({ product: null })
        .find('article')
        .first()
        .attr('class')
    ).to.equal('g-content ')
  })

  it('should decode the given content using reshape', () => {
    const data = `<p>woof</p>`
    const wrapper = render({ data })
    expect(
      wrapper
        .find('article')
        .first()
        .attr('dangerouslySetInnerHTML').__html
    ).to.equal(data)
  })
})
